package com.ruoyi.busi.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.ruoyi.common.core.domain.DlBaseEntity;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.query.BusiNoticeQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiNoticeMapper;
import com.ruoyi.busi.domain.BusiNotice;
import com.ruoyi.busi.service.IBusiNoticeService;

/**
 * 通告Service业务层处理
 *
 * @author 朱春云
 * @date 2025-03-17
 */
@Service
public class BusiNoticeServiceImpl extends ServiceImpl<BusiNoticeMapper,BusiNotice>  implements IBusiNoticeService
{
    @Autowired
    private BusiNoticeMapper busiNoticeMapper;

    @Override
    public IPage<BusiNotice> queryListPage(BusiNoticeQuery query, Page<BusiNotice> page) {
        return busiNoticeMapper.queryListPage(query, page);
    }

    @Override
    public void saveVo(BusiNotice data) {
        //获取当前登录用户
        data.setUserId(SecurityUtils.getUserId());
        this.save(data);
    }

    /**
     * 通过用户id查询通告发布记录
     *
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.busi.domain.BusiNotice>
     * @author PQZ
     * @date 14:35 2025/3/21
     **/
    @Override
    public List<BusiNotice> listByUserId(Long userId) {
        LambdaQueryWrapper<BusiNotice> lambdaQueryWrapper = new LambdaQueryWrapper();
        lambdaQueryWrapper
                .eq(DlBaseEntity::getDelFlag,0)
                .eq(BusiNotice::getUserId,userId);
        return list(lambdaQueryWrapper);
    }
}
