package com.ruoyi.member.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.DlBaseEntity;
import com.ruoyi.member.domain.MemberCard;
import com.ruoyi.member.mapper.MemberCardMapper;
import com.ruoyi.member.service.IMemberCardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 会员开卡记录Service业务层处理
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Service
public class MemberCardServiceImpl extends ServiceImpl<MemberCardMapper,MemberCard>  implements IMemberCardService
{
    @Autowired
    private MemberCardMapper memberCardMapper;


    /**
     * 通过用户id查询会员开卡记录
     *
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.member.domain.MemberCard>
     * @author PQZ
     * @date 14:24 2025/3/21
     **/
    @Override
    public List<MemberCard> listByUserId(Long userId) {
        //查询列表
        LambdaUpdateWrapper<MemberCard> lambdaUpdateWrapper = new LambdaUpdateWrapper<>();
        lambdaUpdateWrapper
                .eq(DlBaseEntity::getDelFlag,0)
                .eq(MemberCard::getUserId,userId)
                .orderByDesc(DlBaseEntity::getCreateTime);
        return list(lambdaUpdateWrapper);
    }
}
