package com.ruoyi.member.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.service.IBusiEvaluateService;
import com.ruoyi.busi.service.IBusiNoticeService;
import com.ruoyi.member.domain.MemberUser;
import com.ruoyi.member.mapper.MemberUserMapper;
import com.ruoyi.member.service.IMemberCardService;
import com.ruoyi.member.service.IMemberUserService;
import com.ruoyi.member.vo.MemberUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 会员Service业务层处理
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Service
public class MemberUserServiceImpl extends ServiceImpl<MemberUserMapper,MemberUser>  implements IMemberUserService
{
    @Autowired
    private MemberUserMapper memberUserMapper;
    @Resource
    private IBusiEvaluateService evaluateService;
    @Resource
    private IMemberCardService cardService;
    @Resource
    private IBusiNoticeService noticeService;


    /**
     * 分页列表查询
     *
     * @param pageReqVO {@link MemberUserVO}
     * @param page      分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberUser>
     * @author PQZ
     * @date 15:32 2025/3/17
     **/
    @Override
    public IPage<MemberUserVO> queryListPage(MemberUserVO pageReqVO, Page<MemberUserVO> page) {
        return memberUserMapper.queryListPage(pageReqVO, page);
    }

    /**
     * 根据用户表id获取通告主信息
     *
     * @param userId 用户表id
     * @return com.ruoyi.member.vo.MemberUserVO
     * @author PQZ
     * @date 11:42 2025/3/21
     **/
    @Override
    public MemberUserVO announcerDetail(Long userId) {
        //查询通告主基本信息
        MemberUserVO result = memberUserMapper.queryByUserId(userId,"01");
        //评价信息
        result.setEvaluates(evaluateService.listByToUserId(userId));
        //会员开通记录
        result.setCards(cardService.listByUserId(userId));
        //会员发布通告
        result.setNotices(noticeService.listByUserId(userId));
        return result;
    }
}
